For the complete documentation index, see llms.txt. This page is also available as Markdown.

Users

Returns a list of users for specified tenant This endpoint returns paged results of up to 10,000 records per response, using the X-CONTINUATIONTOKEN header. When the response includes this token, it indicates that additional records are available. To retrieve the next set of results, include the X-CONTINUATIONTOKEN token from the previous response header in the header of your subsequent request. This process can be repeated until no further continuation token is provided, indicating that you have reached the end of the dataset.

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Query parameters
subtenantsbooleanOptional

If true, result includes users from subtenants

Default: false
photobooleanOptional

If true, result include Base64 encoded profile picture

Default: false
Responses
200

OK

TenantCodestring · nullableOptional

Tenant Var Code

Usernamestring · nullableOptional

The email address that is used as login

UserIdstring · nullableOptional

A unique identifier of the user

Passwordstring · nullableOptional

User's password (used for POST, PUT and PATCH only)

FirstNamestring · nullableOptional

The first name of the user

LastNamestring · nullableOptional

The last name of the user

UserRoleIdstring · nullableOptional

The unique identifier for the user role

IsApprovedbooleanOptional

A boolean indicating whether user verified his email

IsDisabledbooleanOptional

A boolean indicating if account is disabled

IsPortalEnabledbooleanOptional

A boolean indicating if account is enabled for the portal

FailedPasswordAttemptCountinteger · int32Optional

A number of invalid login attempts in last time window

FailedPasswordAttemptWindowStartstring · date-time · nullableOptional

A date and time of last invalid login time window start

LastLockoutDatestring · date-time · nullableOptional

A date and time when the account was locked because of too many invalid login attempts

LastLoggedInstring · date-time · nullableOptional

A date and time when the user logged in last time

CrossTenantCollectionsstring · nullableOptional

String with comma delimited list of cross tenant collection IDs which are assigned to the user

PinCodestring · nullableOptional

Pin code for external services

Timestampstring · date-time · nullableOptional

Timestamp (UTC) indicating version of record being returned

Photostring · nullableOptional

Base64 encoded user profile photo. Included in GET request only when photo parameter is specified.

Notesstring · nullableOptional

Free form notes that can be added against a user.

ManagerUserIdstring · nullableOptional

User's manager unique identifier

Genderstring · nullableOptional

Valid options are Male, Female, Transgender, Non-Binary, Other

JobTitlestring · nullableOptional

Users job title

EmployeeIdstring · nullableOptional

Users employee Id

FacilityIdstring · nullableOptional

User's primary facility ID

SecondaryFacilityIdsstring[] · nullableOptional

List of secondary facility IDs

ETagstring · nullableOptional

ETag representing record version

get/V2/{tenantVarCode}/users
GET /V2/{tenantVarCode}/users HTTP/1.1
Accept: */*
200

OK

[
  {
    "TenantCode": "text",
    "Username": "text",
    "UserId": "text",
    "Password": "text",
    "FirstName": "text",
    "LastName": "text",
    "UserRoleId": "text",
    "IsApproved": true,
    "IsDisabled": true,
    "IsPortalEnabled": true,
    "FailedPasswordAttemptCount": 1,
    "FailedPasswordAttemptWindowStart": "2026-01-01T00:00:00.000Z",
    "LastLockoutDate": "2026-01-01T00:00:00.000Z",
    "LastLoggedIn": "2026-01-01T00:00:00.000Z",
    "CrossTenantCollections": "text",
    "PinCode": "text",
    "Timestamp": "2026-01-01T00:00:00.000Z",
    "Photo": "text",
    "Notes": "text",
    "ManagerUserId": "text",
    "Gender": "text",
    "JobTitle": "text",
    "EmployeeId": "text",
    "FacilityId": "text",
    "SecondaryFacilityIds": [
      "text"
    ],
    "ETag": "text",
    "Tags": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "CustomFields": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  }
]

Creates a new user

post
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Body
TenantCodestring · nullableOptional

Tenant Var Code

Usernamestring · nullableOptional

The email address that is used as login

UserIdstring · nullableOptional

A unique identifier of the user

Passwordstring · nullableOptional

User's password (used for POST, PUT and PATCH only)

FirstNamestring · nullableOptional

The first name of the user

LastNamestring · nullableOptional

The last name of the user

UserRoleIdstring · nullableOptional

The unique identifier for the user role

IsApprovedbooleanOptional

A boolean indicating whether user verified his email

IsDisabledbooleanOptional

A boolean indicating if account is disabled

IsPortalEnabledbooleanOptional

A boolean indicating if account is enabled for the portal

FailedPasswordAttemptCountinteger · int32Optional

A number of invalid login attempts in last time window

FailedPasswordAttemptWindowStartstring · date-time · nullableOptional

A date and time of last invalid login time window start

LastLockoutDatestring · date-time · nullableOptional

A date and time when the account was locked because of too many invalid login attempts

LastLoggedInstring · date-time · nullableOptional

A date and time when the user logged in last time

CrossTenantCollectionsstring · nullableOptional

String with comma delimited list of cross tenant collection IDs which are assigned to the user

PinCodestring · nullableOptional

Pin code for external services

Timestampstring · date-time · nullableOptional

Timestamp (UTC) indicating version of record being returned

Photostring · nullableOptional

Base64 encoded user profile photo. Included in GET request only when photo parameter is specified.

Notesstring · nullableOptional

Free form notes that can be added against a user.

ManagerUserIdstring · nullableOptional

User's manager unique identifier

Genderstring · nullableOptional

Valid options are Male, Female, Transgender, Non-Binary, Other

JobTitlestring · nullableOptional

Users job title

EmployeeIdstring · nullableOptional

Users employee Id

FacilityIdstring · nullableOptional

User's primary facility ID

SecondaryFacilityIdsstring[] · nullableOptional

List of secondary facility IDs

ETagstring · nullableOptional

ETag representing record version

Responses
200

OK

No content

post/V2/{tenantVarCode}/users
POST /V2/{tenantVarCode}/users HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 722

{
  "TenantCode": "text",
  "Username": "text",
  "UserId": "text",
  "Password": "text",
  "FirstName": "text",
  "LastName": "text",
  "UserRoleId": "text",
  "IsApproved": true,
  "IsDisabled": true,
  "IsPortalEnabled": true,
  "FailedPasswordAttemptCount": 1,
  "FailedPasswordAttemptWindowStart": "2026-01-01T00:00:00.000Z",
  "LastLockoutDate": "2026-01-01T00:00:00.000Z",
  "LastLoggedIn": "2026-01-01T00:00:00.000Z",
  "CrossTenantCollections": "text",
  "PinCode": "text",
  "Timestamp": "2026-01-01T00:00:00.000Z",
  "Photo": "text",
  "Notes": "text",
  "ManagerUserId": "text",
  "Gender": "text",
  "JobTitle": "text",
  "EmployeeId": "text",
  "FacilityId": "text",
  "SecondaryFacilityIds": [
    "text"
  ],
  "ETag": "text",
  "Tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "CustomFields": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
200

OK

No content

Returns a specific user

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

userIdstringRequired

User Id

Query parameters
photobooleanOptional

If true, result include Base64 encoded profile picture

Default: false
Responses
200

OK

TenantCodestring · nullableOptional

Tenant Var Code

Usernamestring · nullableOptional

The email address that is used as login

UserIdstring · nullableOptional

A unique identifier of the user

Passwordstring · nullableOptional

User's password (used for POST, PUT and PATCH only)

FirstNamestring · nullableOptional

The first name of the user

LastNamestring · nullableOptional

The last name of the user

UserRoleIdstring · nullableOptional

The unique identifier for the user role

IsApprovedbooleanOptional

A boolean indicating whether user verified his email

IsDisabledbooleanOptional

A boolean indicating if account is disabled

IsPortalEnabledbooleanOptional

A boolean indicating if account is enabled for the portal

FailedPasswordAttemptCountinteger · int32Optional

A number of invalid login attempts in last time window

FailedPasswordAttemptWindowStartstring · date-time · nullableOptional

A date and time of last invalid login time window start

LastLockoutDatestring · date-time · nullableOptional

A date and time when the account was locked because of too many invalid login attempts

LastLoggedInstring · date-time · nullableOptional

A date and time when the user logged in last time

CrossTenantCollectionsstring · nullableOptional

String with comma delimited list of cross tenant collection IDs which are assigned to the user

PinCodestring · nullableOptional

Pin code for external services

Timestampstring · date-time · nullableOptional

Timestamp (UTC) indicating version of record being returned

Photostring · nullableOptional

Base64 encoded user profile photo. Included in GET request only when photo parameter is specified.

Notesstring · nullableOptional

Free form notes that can be added against a user.

ManagerUserIdstring · nullableOptional

User's manager unique identifier

Genderstring · nullableOptional

Valid options are Male, Female, Transgender, Non-Binary, Other

JobTitlestring · nullableOptional

Users job title

EmployeeIdstring · nullableOptional

Users employee Id

FacilityIdstring · nullableOptional

User's primary facility ID

SecondaryFacilityIdsstring[] · nullableOptional

List of secondary facility IDs

ETagstring · nullableOptional

ETag representing record version

get/V2/{tenantVarCode}/users/{userId}
GET /V2/{tenantVarCode}/users/{userId} HTTP/1.1
Accept: */*
200

OK

{
  "TenantCode": "text",
  "Username": "text",
  "UserId": "text",
  "Password": "text",
  "FirstName": "text",
  "LastName": "text",
  "UserRoleId": "text",
  "IsApproved": true,
  "IsDisabled": true,
  "IsPortalEnabled": true,
  "FailedPasswordAttemptCount": 1,
  "FailedPasswordAttemptWindowStart": "2026-01-01T00:00:00.000Z",
  "LastLockoutDate": "2026-01-01T00:00:00.000Z",
  "LastLoggedIn": "2026-01-01T00:00:00.000Z",
  "CrossTenantCollections": "text",
  "PinCode": "text",
  "Timestamp": "2026-01-01T00:00:00.000Z",
  "Photo": "text",
  "Notes": "text",
  "ManagerUserId": "text",
  "Gender": "text",
  "JobTitle": "text",
  "EmployeeId": "text",
  "FacilityId": "text",
  "SecondaryFacilityIds": [
    "text"
  ],
  "ETag": "text",
  "Tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "CustomFields": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

Updates an existing user

put
Path parameters
tenantVarCodestringRequired

Tenant Var Code

userIdstringRequired

User Id

Body
TenantCodestring · nullableOptional

Tenant Var Code

Usernamestring · nullableOptional

The email address that is used as login

UserIdstring · nullableOptional

A unique identifier of the user

Passwordstring · nullableOptional

User's password (used for POST, PUT and PATCH only)

FirstNamestring · nullableOptional

The first name of the user

LastNamestring · nullableOptional

The last name of the user

UserRoleIdstring · nullableOptional

The unique identifier for the user role

IsApprovedbooleanOptional

A boolean indicating whether user verified his email

IsDisabledbooleanOptional

A boolean indicating if account is disabled

IsPortalEnabledbooleanOptional

A boolean indicating if account is enabled for the portal

FailedPasswordAttemptCountinteger · int32Optional

A number of invalid login attempts in last time window

FailedPasswordAttemptWindowStartstring · date-time · nullableOptional

A date and time of last invalid login time window start

LastLockoutDatestring · date-time · nullableOptional

A date and time when the account was locked because of too many invalid login attempts

LastLoggedInstring · date-time · nullableOptional

A date and time when the user logged in last time

CrossTenantCollectionsstring · nullableOptional

String with comma delimited list of cross tenant collection IDs which are assigned to the user

PinCodestring · nullableOptional

Pin code for external services

Timestampstring · date-time · nullableOptional

Timestamp (UTC) indicating version of record being returned

Photostring · nullableOptional

Base64 encoded user profile photo. Included in GET request only when photo parameter is specified.

Notesstring · nullableOptional

Free form notes that can be added against a user.

ManagerUserIdstring · nullableOptional

User's manager unique identifier

Genderstring · nullableOptional

Valid options are Male, Female, Transgender, Non-Binary, Other

JobTitlestring · nullableOptional

Users job title

EmployeeIdstring · nullableOptional

Users employee Id

FacilityIdstring · nullableOptional

User's primary facility ID

SecondaryFacilityIdsstring[] · nullableOptional

List of secondary facility IDs

ETagstring · nullableOptional

ETag representing record version

Responses
200

OK

No content

put/V2/{tenantVarCode}/users/{userId}
PUT /V2/{tenantVarCode}/users/{userId} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 722

{
  "TenantCode": "text",
  "Username": "text",
  "UserId": "text",
  "Password": "text",
  "FirstName": "text",
  "LastName": "text",
  "UserRoleId": "text",
  "IsApproved": true,
  "IsDisabled": true,
  "IsPortalEnabled": true,
  "FailedPasswordAttemptCount": 1,
  "FailedPasswordAttemptWindowStart": "2026-01-01T00:00:00.000Z",
  "LastLockoutDate": "2026-01-01T00:00:00.000Z",
  "LastLoggedIn": "2026-01-01T00:00:00.000Z",
  "CrossTenantCollections": "text",
  "PinCode": "text",
  "Timestamp": "2026-01-01T00:00:00.000Z",
  "Photo": "text",
  "Notes": "text",
  "ManagerUserId": "text",
  "Gender": "text",
  "JobTitle": "text",
  "EmployeeId": "text",
  "FacilityId": "text",
  "SecondaryFacilityIds": [
    "text"
  ],
  "ETag": "text",
  "Tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "CustomFields": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
200

OK

No content

Deletes a specific user

delete
Path parameters
tenantVarCodestringRequired
userIdstringRequired

User Id

Responses
200

OK

No content

delete/V2/{tenantVarCode}/users/{userId}
DELETE /V2/{tenantVarCode}/users/{userId} HTTP/1.1
Accept: */*
200

OK

No content

Patches an existing user

patch
Path parameters
tenantVarCodestringRequired
userIdstringRequired
Bodyobject · Operation[]
valueany · nullableOptional
pathstring · nullableOptional
opstring · nullableOptional
fromstring · nullableOptional
Responses
200

OK

No content

patch/V2/{tenantVarCode}/users/{userId}
PATCH /V2/{tenantVarCode}/users/{userId} HTTP/1.1
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 56

[
  {
    "value": null,
    "path": "text",
    "op": "text",
    "from": "text"
  }
]
200

OK

No content

Returns a specific user

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

usernamestringRequired

Username

Query parameters
photobooleanOptional

If true, result include Base64 encoded profile picture

Default: false
Responses
200

OK

TenantCodestring · nullableOptional

Tenant Var Code

Usernamestring · nullableOptional

The email address that is used as login

UserIdstring · nullableOptional

A unique identifier of the user

Passwordstring · nullableOptional

User's password (used for POST, PUT and PATCH only)

FirstNamestring · nullableOptional

The first name of the user

LastNamestring · nullableOptional

The last name of the user

UserRoleIdstring · nullableOptional

The unique identifier for the user role

IsApprovedbooleanOptional

A boolean indicating whether user verified his email

IsDisabledbooleanOptional

A boolean indicating if account is disabled

IsPortalEnabledbooleanOptional

A boolean indicating if account is enabled for the portal

FailedPasswordAttemptCountinteger · int32Optional

A number of invalid login attempts in last time window

FailedPasswordAttemptWindowStartstring · date-time · nullableOptional

A date and time of last invalid login time window start

LastLockoutDatestring · date-time · nullableOptional

A date and time when the account was locked because of too many invalid login attempts

LastLoggedInstring · date-time · nullableOptional

A date and time when the user logged in last time

CrossTenantCollectionsstring · nullableOptional

String with comma delimited list of cross tenant collection IDs which are assigned to the user

PinCodestring · nullableOptional

Pin code for external services

Timestampstring · date-time · nullableOptional

Timestamp (UTC) indicating version of record being returned

Photostring · nullableOptional

Base64 encoded user profile photo. Included in GET request only when photo parameter is specified.

Notesstring · nullableOptional

Free form notes that can be added against a user.

ManagerUserIdstring · nullableOptional

User's manager unique identifier

Genderstring · nullableOptional

Valid options are Male, Female, Transgender, Non-Binary, Other

JobTitlestring · nullableOptional

Users job title

EmployeeIdstring · nullableOptional

Users employee Id

FacilityIdstring · nullableOptional

User's primary facility ID

SecondaryFacilityIdsstring[] · nullableOptional

List of secondary facility IDs

ETagstring · nullableOptional

ETag representing record version

get/V2/{tenantVarCode}/users/{username}
GET /V2/{tenantVarCode}/users/{username} HTTP/1.1
Accept: */*
200

OK

{
  "TenantCode": "text",
  "Username": "text",
  "UserId": "text",
  "Password": "text",
  "FirstName": "text",
  "LastName": "text",
  "UserRoleId": "text",
  "IsApproved": true,
  "IsDisabled": true,
  "IsPortalEnabled": true,
  "FailedPasswordAttemptCount": 1,
  "FailedPasswordAttemptWindowStart": "2026-01-01T00:00:00.000Z",
  "LastLockoutDate": "2026-01-01T00:00:00.000Z",
  "LastLoggedIn": "2026-01-01T00:00:00.000Z",
  "CrossTenantCollections": "text",
  "PinCode": "text",
  "Timestamp": "2026-01-01T00:00:00.000Z",
  "Photo": "text",
  "Notes": "text",
  "ManagerUserId": "text",
  "Gender": "text",
  "JobTitle": "text",
  "EmployeeId": "text",
  "FacilityId": "text",
  "SecondaryFacilityIds": [
    "text"
  ],
  "ETag": "text",
  "Tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "CustomFields": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

Updates an existing user

put
Path parameters
tenantVarCodestringRequired

Tenant Var Code

usernamestringRequired

Username

Body
TenantCodestring · nullableOptional

Tenant Var Code

Usernamestring · nullableOptional

The email address that is used as login

UserIdstring · nullableOptional

A unique identifier of the user

Passwordstring · nullableOptional

User's password (used for POST, PUT and PATCH only)

FirstNamestring · nullableOptional

The first name of the user

LastNamestring · nullableOptional

The last name of the user

UserRoleIdstring · nullableOptional

The unique identifier for the user role

IsApprovedbooleanOptional

A boolean indicating whether user verified his email

IsDisabledbooleanOptional

A boolean indicating if account is disabled

IsPortalEnabledbooleanOptional

A boolean indicating if account is enabled for the portal

FailedPasswordAttemptCountinteger · int32Optional

A number of invalid login attempts in last time window

FailedPasswordAttemptWindowStartstring · date-time · nullableOptional

A date and time of last invalid login time window start

LastLockoutDatestring · date-time · nullableOptional

A date and time when the account was locked because of too many invalid login attempts

LastLoggedInstring · date-time · nullableOptional

A date and time when the user logged in last time

CrossTenantCollectionsstring · nullableOptional

String with comma delimited list of cross tenant collection IDs which are assigned to the user

PinCodestring · nullableOptional

Pin code for external services

Timestampstring · date-time · nullableOptional

Timestamp (UTC) indicating version of record being returned

Photostring · nullableOptional

Base64 encoded user profile photo. Included in GET request only when photo parameter is specified.

Notesstring · nullableOptional

Free form notes that can be added against a user.

ManagerUserIdstring · nullableOptional

User's manager unique identifier

Genderstring · nullableOptional

Valid options are Male, Female, Transgender, Non-Binary, Other

JobTitlestring · nullableOptional

Users job title

EmployeeIdstring · nullableOptional

Users employee Id

FacilityIdstring · nullableOptional

User's primary facility ID

SecondaryFacilityIdsstring[] · nullableOptional

List of secondary facility IDs

ETagstring · nullableOptional

ETag representing record version

Responses
200

OK

No content

put/V2/{tenantVarCode}/users/{username}
PUT /V2/{tenantVarCode}/users/{username} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 722

{
  "TenantCode": "text",
  "Username": "text",
  "UserId": "text",
  "Password": "text",
  "FirstName": "text",
  "LastName": "text",
  "UserRoleId": "text",
  "IsApproved": true,
  "IsDisabled": true,
  "IsPortalEnabled": true,
  "FailedPasswordAttemptCount": 1,
  "FailedPasswordAttemptWindowStart": "2026-01-01T00:00:00.000Z",
  "LastLockoutDate": "2026-01-01T00:00:00.000Z",
  "LastLoggedIn": "2026-01-01T00:00:00.000Z",
  "CrossTenantCollections": "text",
  "PinCode": "text",
  "Timestamp": "2026-01-01T00:00:00.000Z",
  "Photo": "text",
  "Notes": "text",
  "ManagerUserId": "text",
  "Gender": "text",
  "JobTitle": "text",
  "EmployeeId": "text",
  "FacilityId": "text",
  "SecondaryFacilityIds": [
    "text"
  ],
  "ETag": "text",
  "Tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "CustomFields": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
200

OK

No content

Deletes a specific user

delete
Path parameters
tenantVarCodestringRequired
usernamestringRequired

Username

Responses
200

OK

No content

delete/V2/{tenantVarCode}/users/{username}
DELETE /V2/{tenantVarCode}/users/{username} HTTP/1.1
Accept: */*
200

OK

No content

Patches an existing user

patch
Path parameters
tenantVarCodestringRequired
usernamestringRequired
Bodyobject · Operation[]
valueany · nullableOptional
pathstring · nullableOptional
opstring · nullableOptional
fromstring · nullableOptional
Responses
200

OK

No content

patch/V2/{tenantVarCode}/users/{username}
PATCH /V2/{tenantVarCode}/users/{username} HTTP/1.1
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 56

[
  {
    "value": null,
    "path": "text",
    "op": "text",
    "from": "text"
  }
]
200

OK

No content

Last updated